CREATE TABLE hrc_dl_rem_processes (
    PROCESS_ID               NUMBER       ,
    PARENT_PROCESS_ID        NUMBER           NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    STATUS                   VARCHAR2(120)    NOT NULL,
    JOB_PROCESS_NAME         VARCHAR2(160),
    CHECK_POINT              VARCHAR2(400),
    CANCEL_REQUESTED         VARCHAR2(4)  ,
    PROCESS_LOG              CLOB         ,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PROCESS_ID               NUMBER       ,
    PARENT_PROCESS_ID        NUMBER           NOT NULL,
    REQUEST_ID               NUMBER(18, 0),
    STATUS                   VARCHAR2(120)    NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    JOB_PROCESS_NAME         VARCHAR2(160),
    CHECK_POINT              VARCHAR2(400),
    CANCEL_REQUESTED         VARCHAR2(4)  ,
    PROCESS_LOG              CLOB         ,
    CONSTRAINT pk_hrc_dl_rem_processes PRIMARY KEY (PROCESS_ID, PROCESS_ID)
);
